# Form implementation generated from reading ui file 'src/eric7/UI/AuthenticationDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_AuthenticationDialog(object):
    def setupUi(self, AuthenticationDialog):
        AuthenticationDialog.setObjectName("AuthenticationDialog")
        AuthenticationDialog.resize(400, 154)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(AuthenticationDialog.sizePolicy().hasHeightForWidth())
        AuthenticationDialog.setSizePolicy(sizePolicy)
        AuthenticationDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(AuthenticationDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.iconLabel = QtWidgets.QLabel(parent=AuthenticationDialog)
        self.iconLabel.setObjectName("iconLabel")
        self.horizontalLayout.addWidget(self.iconLabel)
        self.infoLabel = QtWidgets.QLabel(parent=AuthenticationDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.infoLabel.sizePolicy().hasHeightForWidth())
        self.infoLabel.setSizePolicy(sizePolicy)
        self.infoLabel.setWordWrap(True)
        self.infoLabel.setObjectName("infoLabel")
        self.horizontalLayout.addWidget(self.infoLabel)
        self.gridLayout.addLayout(self.horizontalLayout, 0, 0, 1, 2)
        self.label = QtWidgets.QLabel(parent=AuthenticationDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.usernameEdit = QtWidgets.QLineEdit(parent=AuthenticationDialog)
        self.usernameEdit.setObjectName("usernameEdit")
        self.gridLayout.addWidget(self.usernameEdit, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=AuthenticationDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.passwordEdit = QtWidgets.QLineEdit(parent=AuthenticationDialog)
        self.passwordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.passwordEdit.setObjectName("passwordEdit")
        self.gridLayout.addWidget(self.passwordEdit, 2, 1, 1, 1)
        self.saveCheckBox = QtWidgets.QCheckBox(parent=AuthenticationDialog)
        self.saveCheckBox.setObjectName("saveCheckBox")
        self.gridLayout.addWidget(self.saveCheckBox, 3, 0, 1, 2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=AuthenticationDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 2)

        self.retranslateUi(AuthenticationDialog)
        self.buttonBox.accepted.connect(AuthenticationDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(AuthenticationDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(AuthenticationDialog)
        AuthenticationDialog.setTabOrder(self.usernameEdit, self.passwordEdit)
        AuthenticationDialog.setTabOrder(self.passwordEdit, self.saveCheckBox)
        AuthenticationDialog.setTabOrder(self.saveCheckBox, self.buttonBox)

    def retranslateUi(self, AuthenticationDialog):
        _translate = QtCore.QCoreApplication.translate
        AuthenticationDialog.setWindowTitle(_translate("AuthenticationDialog", "Authentication Required"))
        self.iconLabel.setText(_translate("AuthenticationDialog", "Icon"))
        self.infoLabel.setText(_translate("AuthenticationDialog", "Info"))
        self.label.setText(_translate("AuthenticationDialog", "Username:"))
        self.usernameEdit.setToolTip(_translate("AuthenticationDialog", "Enter username"))
        self.label_2.setText(_translate("AuthenticationDialog", "Password:"))
        self.passwordEdit.setToolTip(_translate("AuthenticationDialog", "Enter password"))
        self.saveCheckBox.setToolTip(_translate("AuthenticationDialog", "Select to save the login data"))
        self.saveCheckBox.setText(_translate("AuthenticationDialog", "Save login data"))
